# Generated by Django 3.2.4 on 2021-06-18 12:54

import ckeditor.fields
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import project.utils
import versatileimagefield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Course',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=255, null=True, verbose_name='Назва')),
                ('active', models.BooleanField(db_index=True, default=True, verbose_name='Активне')),
                ('created', models.DateTimeField(db_index=True, default=django.utils.timezone.now, verbose_name='Створено')),
                ('updated', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Оновлено')),
                ('position', models.PositiveSmallIntegerField(default=0, null=True, verbose_name='Сортування')),
                ('price', models.SmallIntegerField(blank=True, db_index=True, verbose_name='Ціна курсу')),
            ],
            options={
                'verbose_name': 'Курс',
                'verbose_name_plural': 'Курси',
            },
        ),
        migrations.CreateModel(
            name='Lesson',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=255, null=True, verbose_name='Назва')),
                ('active', models.BooleanField(db_index=True, default=True, verbose_name='Активне')),
                ('created', models.DateTimeField(db_index=True, default=django.utils.timezone.now, verbose_name='Створено')),
                ('updated', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Оновлено')),
                ('position', models.PositiveSmallIntegerField(default=0, null=True, verbose_name='Сортування')),
                ('description', ckeditor.fields.RichTextField(blank=True, null=True, verbose_name='Description')),
                ('image_ppoi', versatileimagefield.fields.PPOIField(default='0.5x0.5', editable=False, max_length=20)),
                ('slug', models.SlugField(max_length=255, unique=True, verbose_name='Унікальний slug сторінки')),
                ('preview', versatileimagefield.fields.VersatileImageField(help_text='ще треба вирішити розміри', upload_to=project.utils.path_and_rename, verbose_name='Прев`ю')),
                ('published_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Published at')),
            ],
            options={
                'verbose_name': 'Урок',
                'verbose_name_plural': 'Уроки',
            },
        ),
        migrations.CreateModel(
            name='Subject',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=255, null=True, verbose_name='Назва')),
                ('active', models.BooleanField(db_index=True, default=True, verbose_name='Активне')),
                ('created', models.DateTimeField(db_index=True, default=django.utils.timezone.now, verbose_name='Створено')),
                ('updated', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Оновлено')),
                ('position', models.PositiveSmallIntegerField(default=0, null=True, verbose_name='Сортування')),
                ('description', ckeditor.fields.RichTextField(blank=True, null=True, verbose_name='Description')),
                ('image_ppoi', versatileimagefield.fields.PPOIField(default='0.5x0.5', editable=False, max_length=20)),
                ('slug', models.SlugField(max_length=255, unique=True, verbose_name='Унікальний slug сторінки')),
                ('preview', versatileimagefield.fields.VersatileImageField(help_text='ще треба вирішити розміри', upload_to=project.utils.path_and_rename, verbose_name='Прев`ю')),
                ('published_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Published at')),
                ('course', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='subjects', to='main.course', verbose_name='Курс')),
            ],
            options={
                'verbose_name': 'Предмет',
                'verbose_name_plural': 'Предмети',
            },
        ),
        migrations.CreateModel(
            name='LessonVideo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=255, null=True, verbose_name='Назва')),
                ('active', models.BooleanField(db_index=True, default=True, verbose_name='Активне')),
                ('created', models.DateTimeField(db_index=True, default=django.utils.timezone.now, verbose_name='Створено')),
                ('updated', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Оновлено')),
                ('position', models.PositiveSmallIntegerField(default=0, null=True, verbose_name='Сортування')),
                ('description', ckeditor.fields.RichTextField(blank=True, null=True, verbose_name='Description')),
                ('image_ppoi', versatileimagefield.fields.PPOIField(default='0.5x0.5', editable=False, max_length=20)),
                ('slug', models.SlugField(max_length=255, unique=True, verbose_name='Унікальний slug сторінки')),
                ('preview', versatileimagefield.fields.VersatileImageField(help_text='ще треба вирішити розміри', upload_to=project.utils.path_and_rename, verbose_name='Прев`ю')),
                ('published_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Published at')),
                ('quality', models.CharField(choices=[('480', '480'), ('720', '720'), ('1080', '1080')], db_index=True, max_length=50, verbose_name='Якість відео')),
                ('video_file', models.FileField(upload_to=project.utils.path_and_rename)),
                ('lesson', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='videos', to='main.lesson', verbose_name='Урок')),
            ],
            options={
                'verbose_name': 'Відео уроку',
                'verbose_name_plural': 'Відео уроків',
            },
        ),
        migrations.AddField(
            model_name='lesson',
            name='subject',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='lessons', to='main.subject', verbose_name='Предмет'),
        ),
    ]
